What are requirements (Operating System, Browser) for the latest Plesk version?

Created:

2016-11-16 13:02:37 UTC

Modified:

2017-04-24 11:59:24 UTC

0

Was this article helpful?


Have more questions?

Submit a request

What are requirements (Operating System, Browser) for the latest Plesk version?

Applicable to:

  • Plesk

Answer

You can find the list of available platforms and supported browsers for the latest product version at the Plesk requirements page .

Have more questions? Submit a request
Please sign in to leave a comment.